MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::NewP86CFunctional Class Reference
Inheritance diagram for sc::NewP86CFunctional:

List of all members.

## Public Member Functions

| NewP86CFunctional (const Ref< KeyVal > &)
| NewP86CFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int | need_density_gradient ()
void | point (const PointInputData &, PointOutputData &)

## Protected Member Functions

void | init_constants ()
double | rho_deriv (double rho_a, double rho_b, double mdr)
double | gab_deriv (double rho_a, double rho_b, double mdr)

## Protected Attributes

double | a_
double | C1_
double | C2_
double | C3_
double | C4_
double | C5_
double | C6_
double | C7_

## Member Function Documentation

void sc::NewP86CFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h